package com.ruoyi.web.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.controller.screen.dto.YangZhiQuXian;
import com.ruoyi.web.controller.screen.dto.ZhongQuXianDto;
import com.ruoyi.web.controller.screen.vo.ZhongZhiQuXianVo;
import com.ruoyi.web.domain.dto.villageTradition.VillageTraditionAddRequest;
import com.ruoyi.web.domain.dto.villageTradition.VillageTraditionEditRequest;
import com.ruoyi.web.domain.dto.villageTradition.VillageTraditionQueryRequest;
import com.ruoyi.web.domain.entity.VillageTradition;

import java.util.List;


/**
 *
 */
public interface VillageTraditionService extends IService<VillageTradition> {

    Integer addVillageTradition(VillageTraditionAddRequest villageTraditionAddRequest);

    boolean deleteVillageTradition(String ids);

    void editVillageTradition(VillageTraditionEditRequest villageTraditionEditRequest);

    /**
     * 根据id查询
     *
     * @param id
     * @return
     */
    VillageTradition getVillageTraditionById(int id);

    /**
     * 分页获取列表
     *
     * @param villageTraditionQueryRequest
     * @return
     */
    Page<VillageTradition> getListVillageTraditionByPage(VillageTraditionQueryRequest villageTraditionQueryRequest);


    /**
     * 获取查询条件
     *
     * @param villageTraditionQueryRequest
     * @return
     */
    QueryWrapper<VillageTradition> getQueryWrapper(VillageTraditionQueryRequest villageTraditionQueryRequest);

    List<VillageTradition> zhongZhiPingZhong();

    List<ZhongQuXianDto> zhongZhiQuXian(ZhongZhiQuXianVo zhongZhiQuXianVo);

    List<YangZhiQuXian> yagnZhiQuXian();

}
